<?
//-- SMS 환경변수 읽어오기 ------------------------------------------------------------------------
$sQry			= mysql_query("select * from zm_sms_config");
while ($rdSmsCfg = mysql_fetch_array($sQry)) {
	$zm_sms[$rdSmsCfg[ds_variable]]	= $rdSmsCfg[ds_value];				//-- 환경변수
}

//-- SMS을 보내고 내역을 History에 저장 -----------------------------------------------------------
//-- 보내는 사람, 보내는 사람 전번, 받는 사람, 받는 사람 전번, 내용, 예약 시간
function smshistory($sendname="", $sendtel="", $recvname="", $recvtel="", $msg, $stype="1", $resvtime="") {
	global	$config, $g4, $is_admin, $member;

	if($stype == "2") {
		$rdate[Y]	= substr($resvtime, 0, 4);
		$rdate[M]	= substr($resvtime, 4, 2);
		$rdate[D]	= substr($resvtime, 6, 2);
		$rtime[H]	= substr($resvtime, 8, 2);
		$rtime[I]	= substr($resvtime, 10, 2);
		$rtime[S]	= substr($resvtime, 12, 2);
		$sendtime	= mktime($rtime[H], $rtime[I], $rtime[S], $rdate[M], $rdate[D], $rdate[Y]);
	}else{
		$sendtime	= time();
	}

	if($stype == "1") $resvtime	= time();
	$sQry		= "insert into zm_sms_history set 
					ds_send_name='$sendname', ds_send_id='$member[mb_id]', ds_send_pcs='$sendtel', ds_send_msg='$msg', ds_receive_name='$recvname', ds_receive_pcs='$recvtel', ds_send_type='$stype', ds_send_date='$sendtime'";
	$sRes		= sql_query($sQry);

	return $sRes;
}
?>